﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单催单
    /// </summary>
    [Description("服务工单催单")]
    public class RemindCaseInfo : BaseResult
    {
        /// <summary>
        /// 催单时间
        /// </summary>
        [SugarColumn(ColumnDescription = "催单时间")]
        public DateTime? RemindTime { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [SugarColumn(ColumnDescription = "操作人员", ColumnDataType = "varchar(200)")]
        public string RemindName { get; set; }

        /// <summary>
        /// 催单理由
        /// </summary>
        [SugarColumn(ColumnDescription = "催单理由", ColumnDataType = "text")]
        public string RemindReasion { get; set; }
    }
}
